﻿using Windows.Storage;

namespace pdftron.PDF.Tools.Collections
{
    /// <summary>
    /// Stores a collection of properties about the state of a recent document
    /// </summary>
    public interface IRecentDocumentProperties
    {
        string ThumbnailLocation { get; set; }

        bool IsFolder { get; set; }

        string FilePath { get; set; }

        IStorageItem File { get; set; }

        int PageNumber { get; set; }

        bool IsProtected { get; set; }

        double Zoom { get; set; }

        int HorizontalScrollPos { get; set; }

        int VerticalScrollPos { get; set; }

        AdditionalIcons AdditonalIcon { get; set; }

        PDFViewCtrlPagePresentationMode PagePresentationMode { get; set; }

        bool IsInReflowMode { get; set; }

        PageRotate PageRotation { get; set; }
    }
}
