﻿using pdftron.PDF.Tools.Controls.ViewModels;
using pdftron.PDF.Tools.Utilities;
using System.Linq;
using Windows.UI.Xaml.Controls;

// The Content Dialog item template is documented at https://go.microsoft.com/fwlink/?LinkId=234238

namespace pdftron.PDF.Tools.Controls.AnnotationPropertiesSubControls
{
    public sealed partial class CalibrationDialog : ContentDialog
    {
        public CalibrationViewModel ViewModel { get; set; }

        public CalibrationDialog(IAnnot annot, PDFViewCtrl pDFViewCtrl)
        {
            this.InitializeComponent();
            this.DataContext = ViewModel = new CalibrationViewModel(annot, pDFViewCtrl);            
        }

        private void ContentDialog_PrimaryButtonClick(ContentDialog sender, ContentDialogButtonClickEventArgs args)
        {
            ViewModel.PerformCalibration();
        }

        private void ContentDialog_SecondaryButtonClick(ContentDialog sender, ContentDialogButtonClickEventArgs args)
        {
        }

        private void TextBox_BeforeTextChanging(TextBox sender, TextBoxBeforeTextChangingEventArgs args)
        {
            if (string.IsNullOrWhiteSpace(args.NewText))
                return;

            bool cancel = false;
            var lastChar = args.NewText.Last();
            var isDigit = char.IsDigit(lastChar);

            var isPeriod = lastChar.Equals('.');
            if (isPeriod)
            {
                var count = args.NewText.Count(c => c == '.');
                if (count == 1)
                    cancel = false;
                else
                    cancel = true;
            }
            else
            {
                if (isDigit == false)
                    cancel = true;
            }

            args.Cancel = cancel;
        }
    }
}
