﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The User Control item template is documented at https://go.microsoft.com/fwlink/?LinkId=234236

namespace pdftron.PDF.Tools.Controls.AnnotationPropertiesSubControls
{
    public sealed partial class MeasureControl : UserControl
    {
        public MeasureControl()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// Ensure the typing is within decimal range
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="args"></param>
        private void event_BeforeTextChanging(TextBox sender, TextBoxBeforeTextChangingEventArgs args)
        {
            bool cancel = false;
            var lastChar = args.NewText.Last();
            var isDigit = char.IsDigit(lastChar);

            var isPeriod = lastChar.Equals('.');
            if (isPeriod)
            {
                var count = args.NewText.Count(c => c == '.');
                if (count == 1)
                    cancel = false;
                else
                    cancel = true;
            }
            else
            {
                if(isDigit == false)
                    cancel = true;
            }

            args.Cancel = cancel;
        }
    }
}
