﻿using System;
using System.Threading.Tasks;
using Windows.UI.Popups;

namespace pdftron.PDF.Tools.Controls.ViewModels
{
    public partial class ThumbnailsViewViewModel
    {
        private async Task DeleteSelectedPagesAsync(object parameter)
        {
            MessageDialog md = new MessageDialog(string.Empty);
            if (_selectedItems.Count > 1 && parameter == null)
            {
                md.Title = ResourceHandler.GetString("ThumbnailsView_Delete_Multiple_Message_Title");
                md.Content = string.Format(ResourceHandler.GetString("ThumbnailsView_Delete_Multiple_Message_Content"), _selectedItems.Count);
            }
            else
            {
                md.Title = ResourceHandler.GetString("ThumbnailsView_Delete_Single_Message_Title");
                md.Content = ResourceHandler.GetString("ThumbnailsView_Delete_Single_Message_Content");
            }
            md.Commands.Add(new UICommand(ResourceHandler.GetString("ThumbnailsView_Delete_Message_Confirm"), async (_) =>
            {
                await DeleteItemsAsync(parameter as ThumbnailItem);

                if (ToolManager?.UndoRedoAction != null)
                    ToolManager.UndoRedoAction.TakeSnapshot("Delete Page", true);
            }));

            md.Commands.Add(new UICommand(ResourceHandler.GetString("ThumbnailsView_Delete_Message_Cancel"), (_) => { }));
            await md.ShowAsync();
        }
    }
}
