﻿using pdftron.PDF.Tools.Utilities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


namespace pdftron.PDF.Tools.Controls.ViewModels.Viewer
{
    public partial class ViewerViewModel
    {
        int mExtraWindowId;
        private async Task MultiWindowImpl(object parameter)
        {
            Utilities.AppCenterHandlerBase.CURRENT.SendEvent("Viewer", new Dictionary<string, string>() { ["Command"] = "Open Multi Window" });

            if (MultiWindowManager.Instance.OpenedWindowsCount > 1)
            {
                // NOTE: Window already opened? so bring it into Focus using switch focus
                await MultiWindowManager.Instance.SwitchWindowByIdAsync(mExtraWindowId);
            }
            else
            {
                var result = await MultiWindowManager.Instance.TryCreateNewWindowAsync(typeof(ViewPdfControl));
                if (result.IsWindowCreated)
                {
                    mExtraWindowId = result.AppViewId;
                }
            }
        }
    }
}
