﻿using pdftron.PDF.Tools.Commands;
using pdftron.PDF.Tools.Utilities;
using System;
using System.Threading.Tasks;
using Windows.ApplicationModel.Resources;
using Windows.UI.Popups;
using Windows.UI.Xaml.Controls;

namespace pdftron.PDF.Tools.Controls.ViewModels.Viewer
{
    public partial class ViewerViewModel
    {
        private async Task SaveAndFlattenAsync()
        {
            TabControlViewModel?.SelectedTab?.ToolManager?.CloseOpenDialog();
            IsModal = true;
            ResourceLoader loader = ResourceLoader.GetForCurrentView("pdftron.PDF.Tools/Resources");

            ContentDialog dialog = new ContentDialog
            {
                Title = loader.GetString("ViewerPage_SecondaryOptions_SaveAndFlatten_Message_Title"),
                Content = loader.GetString("ViewerPage_SecondaryOptions_SaveAndFlatten_Message"),
                PrimaryButtonText = loader.GetString("ViewerPage_SecondaryOptions_SaveAndFlatten_Message_Confirm"),
                CloseButtonText = loader.GetString("Generic_Cancel_Text")

            };

            dialog.PrimaryButtonCommand = new RelayCommand(async _ =>
            {
                IsAppBarOpen = false;
                await SaveAsAsync(TabControlViewModel.SelectedTab, false, false, SaveAsOption.Flatten);
            });

            dialog.CloseButtonCommand = new RelayCommand((_) =>
            {
                IsModal = false;
            });

            await DialogHelper.ShowContentDialogAsync(dialog);
        }
    }
}
