﻿using pdftron.PDF.Tools.Controls.ViewModels;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.Globalization.NumberFormatting;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The User Control item template is documented at https://go.microsoft.com/fwlink/?LinkId=234236

namespace pdftron.PDF.Tools.Controls
{
    public sealed partial class CreateBlankDocControl : UserControl
    {
        private CreateDocControlViewModel _ViewModel;

        public CreateBlankDocControl()
        {
            this.InitializeComponent();
        }

        public CreateDocControlViewModel ViewModel
        {
            get { return _ViewModel; }
            set
            {
                _ViewModel = value;
                DataContext = _ViewModel;
            }
        }

        private void PageNumberBox_LostFocus(object sender, RoutedEventArgs e)
        {
            if(_ViewModel != null)
            {
                PageNumberBox.Value = TotalPages();
            }
        }

        private int TotalPages()
        {
            if (_ViewModel != null)
                return _ViewModel.TotalPages;

            return 1;
        }
    }
}
