﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace pdftron.PDF.Tools.Controls
{
    public enum PaperSizes
    {
        Letter,
        Legal,
        A0,
        A1,
        A2,
        A3,
        A4,
        A5,
        B0,
        B1,
        B2,
        B3,
        B4,
        B5
    }

    public class PaperSizeHolder
    {
        public PaperSizes PaperSize { get; }

        public double Width { get; } = 0;

        public double Height { get; } = 0;

        private readonly string _units;

        public override string ToString() => string.Format("{0} ({1:0.00} x {2:0.00} {3})", PaperSize, Width, Height, _units);

        public PaperSizeHolder(PaperSizes size, double w, double h, string units)
        {
            PaperSize = size;
            Width = w;
            Height = h;
            _units = units;
        }
    }
}
