﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Data;

namespace pdftron.PDF.Tools.Controls
{
    public class FlipViewIndicator : ListBox
    {
        public static readonly DependencyProperty FlipviewProperty = DependencyProperty.Register(
            "Flipview",
            typeof(FlipView),
            typeof(FlipViewIndicator),
            new PropertyMetadata(null, FlipView_Changed));

        public FlipViewIndicator()
        {
            DefaultStyleKey = typeof(FlipViewIndicator);
        }

        public FlipView Flipview
        {
            get => (FlipView)GetValue(FlipviewProperty);
            set => SetValue(FlipviewProperty, value);
        }

        private static void FlipView_Changed(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            FlipViewIndicator that = d as FlipViewIndicator;
            FlipView flip = (e.NewValue as FlipView);
            that.ItemsSource = flip.ItemsSource;
            Binding binding = new Binding
            {
                Mode = BindingMode.TwoWay,
                Source = flip,
                Path = new PropertyPath("SelectedItem")
            };

            that.SetBinding(SelectedItemProperty, binding);
        }
    }
}
