﻿using pdftron.PDF.Tools.Controls.ViewModels;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using System.Threading.Tasks;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Media.Animation;
using Windows.UI.Xaml.Navigation;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace pdftron.PDF.Tools.Controls
{
    /// <summary>
    /// The Outline class shows a document outline (bookmarks) that can be used to navigate the 
    /// Document in the PDFViewCtrl.
    /// </summary>
    public sealed partial class Outline : UserControl
    {
        /// <summary>
        /// Logic to ensure the Flyout menu is properly closed once an options is selected
        /// </summary>
        private void FlyoutHostedButton_Clicked(object sender, RoutedEventArgs e)
        {
            DependencyObject host = sender as DependencyObject;
            while (host != null)
            {
                Popup flyout = host as Popup;
                if (flyout != null)
                {
                    flyout.IsOpen = false;
                    return;
                }
                FrameworkElement widget = host as FrameworkElement;
                if (widget != null)
                {
                    host = widget.Parent;
                }
                else
                {
                    return;
                }
            }
        }
    }
}
