﻿namespace pdftron.PDF.Tools.Controls.ViewModels
{
    public class PageCropProperties
    {
        public Rect UserCropBoxPageSpace;
        public Rect CropBoxPageSpace;
        public Rect CropRatioRect
        {
            get
            {
                if (UserCropBoxPageSpace != null && CropBoxPageSpace != null)
                {
                    return CalculcateScreenRatioRect();
                }
                return null;
            }
            set
            {
                if (UserCropBoxPageSpace != null && CropBoxPageSpace != null)
                {
                    CalculateNewUserCropBox(value);
                }
            }
        }
        public int Rotation;

        public Rect CalculcateScreenRatioRect()
        {
            Rect ratioRect = new Rect();
            switch (Rotation)
            {
                case 1:
                    ratioRect.x1 = (UserCropBoxPageSpace.x1 - CropBoxPageSpace.x1) / CropBoxPageSpace.Width();
                    ratioRect.x2 = (CropBoxPageSpace.x2 - UserCropBoxPageSpace.x2) / CropBoxPageSpace.Width();
                    ratioRect.y1 = (UserCropBoxPageSpace.y2 - CropBoxPageSpace.y2) / CropBoxPageSpace.Height();
                    ratioRect.y2 = (CropBoxPageSpace.y1 - UserCropBoxPageSpace.y1) / CropBoxPageSpace.Height();
                    break;
                case 2:
                    ratioRect.x1 = (CropBoxPageSpace.x1 - UserCropBoxPageSpace.x1) / CropBoxPageSpace.Width();
                    ratioRect.x2 = (UserCropBoxPageSpace.x2 - CropBoxPageSpace.x2) / CropBoxPageSpace.Width();
                    ratioRect.y1 = (UserCropBoxPageSpace.y2 - CropBoxPageSpace.y2) / CropBoxPageSpace.Height();
                    ratioRect.y2 = (CropBoxPageSpace.y1 - UserCropBoxPageSpace.y1) / CropBoxPageSpace.Height();
                    break;
                case 3:
                    ratioRect.x1 = (CropBoxPageSpace.x1 - UserCropBoxPageSpace.x1) / CropBoxPageSpace.Width();
                    ratioRect.x2 = (UserCropBoxPageSpace.x2 - CropBoxPageSpace.x2) / CropBoxPageSpace.Width();
                    ratioRect.y1 = (CropBoxPageSpace.y2 - UserCropBoxPageSpace.y2) / CropBoxPageSpace.Height();
                    ratioRect.y2 = (UserCropBoxPageSpace.y1 - CropBoxPageSpace.y1) / CropBoxPageSpace.Height();
                    break;
                default:
                    ratioRect.x1 = (UserCropBoxPageSpace.x1 - CropBoxPageSpace.x1) / CropBoxPageSpace.Width();
                    ratioRect.x2 = (CropBoxPageSpace.x2 - UserCropBoxPageSpace.x2) / CropBoxPageSpace.Width();
                    ratioRect.y1 = (CropBoxPageSpace.y2 - UserCropBoxPageSpace.y2) / CropBoxPageSpace.Height();
                    ratioRect.y2 = (UserCropBoxPageSpace.y1 - CropBoxPageSpace.y1) / CropBoxPageSpace.Height();
                    break;
            }
            return ratioRect;
        }

        public void CalculateNewUserCropBox(Rect cropRatio)
        {
            switch (Rotation)
            {
                case 1:
                    UserCropBoxPageSpace.x1 = CropBoxPageSpace.x1 + cropRatio.x1 * CropBoxPageSpace.Width();
                    UserCropBoxPageSpace.x2 = CropBoxPageSpace.x2 - cropRatio.x2 * CropBoxPageSpace.Width();
                    UserCropBoxPageSpace.y1 = CropBoxPageSpace.y1 - cropRatio.y2 * CropBoxPageSpace.Height();
                    UserCropBoxPageSpace.y2 = CropBoxPageSpace.y2 + cropRatio.y1 * CropBoxPageSpace.Height();
                    break;
                case 2:
                    UserCropBoxPageSpace.x1 = CropBoxPageSpace.x1 - cropRatio.x1 * CropBoxPageSpace.Width();
                    UserCropBoxPageSpace.x2 = CropBoxPageSpace.x2 + cropRatio.x2 * CropBoxPageSpace.Width();
                    UserCropBoxPageSpace.y1 = CropBoxPageSpace.y1 - cropRatio.y2 * CropBoxPageSpace.Height();
                    UserCropBoxPageSpace.y2 = CropBoxPageSpace.y2 + cropRatio.y1 * CropBoxPageSpace.Height();
                    break;
                case 3:
                    UserCropBoxPageSpace.x1 = CropBoxPageSpace.x1 - cropRatio.x1 * CropBoxPageSpace.Width();
                    UserCropBoxPageSpace.x2 = CropBoxPageSpace.x2 + cropRatio.x2 * CropBoxPageSpace.Width();
                    UserCropBoxPageSpace.y1 = CropBoxPageSpace.y1 + cropRatio.y2 * CropBoxPageSpace.Height();
                    UserCropBoxPageSpace.y2 = CropBoxPageSpace.y2 - cropRatio.y1 * CropBoxPageSpace.Height();
                    break;
                default:
                    UserCropBoxPageSpace.x1 = CropBoxPageSpace.x1 + cropRatio.x1 * CropBoxPageSpace.Width();
                    UserCropBoxPageSpace.x2 = CropBoxPageSpace.x2 - cropRatio.x2 * CropBoxPageSpace.Width();
                    UserCropBoxPageSpace.y1 = CropBoxPageSpace.y1 + cropRatio.y2 * CropBoxPageSpace.Height();
                    UserCropBoxPageSpace.y2 = CropBoxPageSpace.y2 - cropRatio.y1 * CropBoxPageSpace.Height();
                    break;
            }
        }
    }
}
