﻿using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace pdftron.PDF.Tools.Controls.ViewModels
{
    public class PageHeaderItem
    {
        public int PageNumber { get; set; }

        public string PageHeader => string.Format(ResourceHandler.GetString("AnnotationList_Page"), PageNumber);

        public ObservableCollection<AnnotationItem> Annotations { get; set; }

        public PageHeaderItem(IList<AnnotationItem> items)
        {
            PageNumber = 0;
            if (items?.Count > 0)
                PageNumber = items[0].PageNumber;

            Annotations = new ObservableCollection<AnnotationItem>();
            if (items != null)
            {
                foreach (AnnotationItem item in items)
                    Annotations.Add(item);
            }
        }
    }
}
