﻿using System;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Data;

namespace pdftron.PDF.Tools.Converters
{
    public class DoubleToPointLabelConverter : IValueConverter
    {
        public static readonly DependencyProperty DecimalPlacesProperty = DependencyProperty.RegisterAttached(
            "DecimalPlaces",
            typeof(int),
            typeof(DoubleToPointLabelConverter),
            new PropertyMetadata(null));

        public int DecimalPlaces { get; set; } = 1;

        public object Convert(object value, Type targetType, object parameter, string language)
        {
            double val = (double)value;
            string unitString = ResourceHandler.GetString("Thickness_Units");
            if (val < 1)
                return val.ToString("f" + (DecimalPlaces + 1)) + unitString;

            return val.ToString("f" + DecimalPlaces) + unitString;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language) => DependencyProperty.UnsetValue;
    }
}
