﻿using System;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Data;

namespace pdftron.PDF.Tools.Converters
{
    public class GridLengthToDoubleConverter : IValueConverter
    {
        /// <summary>
        /// Converts GridLength to double value - only works with pixel values. If GridLength is Star or Auto, it will return 0.
        /// </summary>
        /// <param name="value"></param>
        /// <param name="targetType"></param>
        /// <param name="parameter"></param>
        /// <param name="language"></param>
        /// <returns></returns>
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            if (value is GridLength gridLength)
            {
                if (gridLength.GridUnitType == GridUnitType.Pixel)
                {
                    return gridLength.Value;
                }

                return 0;
            }

            return 0;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            if (value is double pixels)
            {
                return new GridLength(pixels);
            }

            return new GridLength();
        }
    }
}
