﻿using System;
using Windows.UI.Xaml.Data;

namespace pdftron.PDF.Tools.Converters
{
    public class ToolTypeToBooleanConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            return value.ToString().Equals(parameter as string);
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            if ((bool)value)
            {
                foreach (ToolType toolType in Enum.GetValues(typeof(ToolType)))
                {
                    if (string.Equals(parameter as string, toolType.ToString()))
                    {
                        return toolType;
                    }
                }
            }
            return ToolType.e_pan;
        }
    }
}
