﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace pdftron.PDF.Tools
{
    public interface IMeasure
    {
        // The Scale ratio that can be used to display on the UI. ie. "1 inch = 1 inch"
        string Scale { get; set; }

        // The unit precision. I.e. 1.12, 1.1234
        double Precision { get; set; }

        // Meaning of Factor depends on the etries: Area, Axis, Distance
        // 1 pt = 0.01388 inch (1/72 in)
        double BaseFactor { get; set; }

        // The factor on the result ratio. IE. 1 in = 1.5 m -> Factor = 1.5
        double TranslateFactor { get; set; }

        string Display { get; set; }

        // It can be either '.' or ','
        string DecimalSymbol { get; set; }

        // It can be either '.' or ','
        string ThousandSymbol { get; set; }

        // The unit to add to a specific measurement
        string Unit { get; set; }

        // Unit Suffix - Extra text to concatenate after unit. ie. "2.5 in" + "!!" = "2.5 in!!" 
        string UnitSuffix { get; set; }

        // Unit Prefix
        string UnitPrefix { get; set; }

        // The base unit. I.e: in, pt, cm, mm
        string BaseUnit { get; set; }

        string UnitPosition { get; set; }
    }
}
