﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml.Media;

namespace pdftron.PDF.Tools
{
    public static class ResourceHandler
    {

        private static Windows.ApplicationModel.Resources.ResourceLoader _ResourceLoader =
            Windows.ApplicationModel.Resources.ResourceLoader.GetForCurrentView("pdftron.PDF.Tools/Resources");

        private static Windows.UI.Xaml.ResourceDictionary _ControlStylesResourceDict = new Windows.UI.Xaml.ResourceDictionary()
        {
            Source = new Uri("ms-appx:///pdftron.PDF.Tools/Controls/Resources/ControlStyles.xaml", UriKind.RelativeOrAbsolute)
        };

        private static Windows.UI.Xaml.ResourceDictionary _toolPaletteResourceDict = new Windows.UI.Xaml.ResourceDictionary()
        {
            Source = new Uri("ms-appx:///pdftron.PDF.Tools/Controls/Resources/ToolPalette.xaml", UriKind.RelativeOrAbsolute)
        };

        /// <summary>
        /// Get a resource language string by resource key for the selected App's language 
        /// </summary>
        /// <param name="key">The resource key</param>
        /// <returns>The string content of the resource</returns>
        public static string GetString(string key)
        {
            return _ResourceLoader.GetString("pdftron_Tool_" + key);
        }

        /// <summary>
        /// This method will return a Brush resource from the ToolPalette.xaml Resource Dictionary
        /// </summary>
        /// <param name="key">The resource key</param>
        /// <returns>A Brush color</returns>
        public static Brush GetColorFromToolPalette(string key)
        {
            if (string.IsNullOrEmpty(key))
                return new SolidColorBrush(Windows.UI.Colors.Transparent);

            return _toolPaletteResourceDict[key] as Brush;
        }
    }
}
