# UWP Documentation

* [Core API documentation](/api/uwp/guides/index.html) - detailed API documentation for PDFTron core library

## About PDFTron SDK

PDFTron SDK is a high-quality, industry-strength PDF library meeting the requirements of the most demanding and diverse applications. Using PDFTron you can write stand-alone, cross-platform, and reliable commercial applications that can read, write, edit, print and display PDF documents.

The PDFTron SDK is available for all major mobile platforms:

* [Android](https://www.pdftron.com/pdf-sdk/android) (Java, C/C++, Xamarin)
* [iOS](https://www.pdftron.com/pdf-sdk/ios) (Obj-C, Swift, C/C++, Xamarin)
* [Universal Windows Platform](https://www.pdftron.com/pdf-sdk/windows-library) (C#, VB, C++, JavaScript, Xamarin)

and desktop/server environments:

* [Windows](https://www.pdftron.com/pdf-sdk/windows-library) (.NET 2.0+, .NET Core, Java, C/C++, Python)
* [Linux](https://www.pdftron.com/pdf-sdk/linux-tools) (Java, C/C++, Python, Ruby, .NET Core)
* [macOS](https://www.pdftron.com/pdf-sdk/mac-library) (Obj-C, Swift, Java, C/C++, Python, Ruby, .NET Core)

as well as, with [PDFNetJS](https://www.pdftron.com/webviewer), directly in a web browser.

For more information, please visit us at [www.pdftron.com](https://www.pdftron.com/).

## Further Documentation

PDFTron documentation can be accessed online through the following links:

* [PDFTron Online API Documentation](https://www.pdftron.com/pdfnet/documentation.html)
* [PDFTron Getting Started on UWP](https://www.pdftron.com/documentation/uwp/guides)
* [PDFTron What's New](https://www.pdftron.com/documentation/uwp/changelog)
* [PDFTron Support Resources](https://www.pdftron.com/support)
* [PDFTron Sample Code](https://www.pdftron.com/documentation/samples?platforms=uwp)

## Technical Support

At PDFTron, we understand that good technical support is as important to our customers as our products themselves. Our technical support team consists of the same developers that build our products, work on new features and fix the bugs. This ensures that our customers receive accurate and to-the-point answers to their questions or problems.

For details related to technical support, please refer to [PDFTron support](https://www.pdftron.com/support).

You can submit bug reports directly through our [support webpage](http://www.pdftron.com/support/reportproblem.html) or by sending a bug report via email to [support@pdftron.com](mailto:support@pdftron.com).

If you are sending an email, please include the following information when submitting a bug report:

* Your Name and Company / Contact information.
* PDFTron Product and Version
* Operating System
* Detailed description of the problem.
* Are you subscribed to annual maintenance?


## Call for Success Stories!

We are always looking for practical examples of solutions achieved by our customers using our products, as well as, feedback on your level of satisfaction with our products and customer service.

If you have an interesting solution using our products or would like to offer us some feedback, please email: [info@pdftron.com](mailto:info@pdftron.com).

Thank you!
